struct Vert{
    vec4 outline;
    vec4 bg_col;
    vec4 v;
    vec4 col;
};
uniform Vert* verts;

out vec2 uv;
out vec4 col;
out vec4 outline;
out vec4 bg_col;

void main() {
    vec2 pos = verts[gl_VertexID].v.xy;
    uv = verts[gl_VertexID].v.zw;
    col = verts[gl_VertexID].col;
    outline = vec4(verts[gl_VertexID].outline);
    bg_col = vec4(verts[gl_VertexID].bg_col);

    gl_Position = vec4(pos,0.5,1.0);
}
